package com.qmth.themis.business.bean.status;

import com.qmth.themis.business.enums.MonitorStatusSourceEnum;

import java.io.Serializable;

/**
 * @Description: 监控状态bean
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/11/25
 */
public class MonitorStatusBean implements Serializable {

    MonitorStatusSourceEnum monitorStatusSourceEnum;
    Long timestamp;//时间戳

    public MonitorStatusBean() {

    }

    public MonitorStatusBean(MonitorStatusSourceEnum monitorStatusSourceEnum, Long timestamp) {
        this.monitorStatusSourceEnum = monitorStatusSourceEnum;
        this.timestamp = timestamp;
    }

    public MonitorStatusSourceEnum getMonitorStatusSourceEnum() {
        return monitorStatusSourceEnum;
    }

    public void setMonitorStatusSourceEnum(MonitorStatusSourceEnum monitorStatusSourceEnum) {
        this.monitorStatusSourceEnum = monitorStatusSourceEnum;
    }

    public Long getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(Long timestamp) {
        this.timestamp = timestamp;
    }
}
